function init()
	-- NAME & GRAPHIC --
	c.name = "Pulsardrone"
	c.gfxFile = "pulsardrone.png"
	--c.hitScale = 1.2

	-- STATS --
	c.mass = 30
	c.stat.strafe = 1.0
	c.stat.thrust = .5
	c.stat.maxSpeed = 220
	c.stat.turnRate = 45
	c.stat.armour = 12

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.add_item("point", 8)
	c.desc = "Explodes in a stunwave on death."
	c.behavior = "pulsardrone"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end